Page MenuHomeFreeBSD

devel/py3-logbook: new Python 3 slave port of devel/py-logbook
AbandonedPublic

Authored by philip on Oct 20 2017, 12:23 PM.

Details

Reviewers
koobs
Group Reviewers
Python
portmgr
Summary

This new py3-* slave port is needed as a dependency of devel/py3-threema-msgapi.
A hook prevents me from adding new py3-* ports without portmgr approval.

Proposed commit message:

devel/py3-logbook: Python 3 slave port of devel/py-logbook

Approved by: portmgr
Differential_Revision: https://reviews.freebsd.org/D12740

See also D12657 for another py3-* slave port I need to update devel/py3-threema-msgapi.

Test Plan

Poudriere tested on 10amd64, 11amd64 and 12amd64. Build-tested with the
updated devel/py3-threema-msgapi port

portlint gives the usual errors for slave ports (no surprises).

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 12140
Build 12441: arc lint + arc unit

Event Timeline

philip created this revision.Oct 20 2017, 12:23 PM
philip edited the summary of this revision. (Show Details)
lwhsu added a subscriber: lwhsu.Dec 1 2017, 3:24 PM

D12464 is committed so I guess we don't need this patch, right?

philip abandoned this revision.Dec 2 2017, 9:38 AM

Correct. This is overtaken by events.